%global  __requires_exclude devel\\(/lib/libNoVersion\\)

%define  major   5
%define  libname %mklibname geotiff %{major}
%define  libdev  %mklibname geotiff -d

Name:           geotiff
Summary:     Cartographic software
Version:        1.7.1
Release:        %mkrel 3
Group:          Sciences/Geosciences
License:        MIT-like
URL:              https://github.com/OSGeo/libgeotiff
Source0:       http://download.osgeo.org/geotiff/libgeotiff/libgeotiff-%{version}.tar.xz
BuildRequires:  lib64tiff-devel
BuildRequires:  lib64jpeg-devel
BuildRequires:  zlib1-devel
BuildRequires:  lib64proj-devel
Requires:       proj
Conflicts:      %libname < 1.4.2-7

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files.

%package -n %libname
Summary:        Cartographic software - Libraries
Group:          System/Libraries

%description -n %libname
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

%package -n %libdev
Summary:        Cartographic software - Development files
Group:          Development/Libraries
Requires:       %libname = %{version}
Provides:       geotiff-devel = %{version}-%{release}
Obsoletes:      %{libname}-devel

%description -n %libdev
libgeotiff development files.

%prep
%setup -q -n libgeotiff-%{version}


%build
%configure2_5x \
	--disable-static \
	--includedir=%{_includedir}/lib%{name}/ \
	--with-jpeg \
	--with-zip \
	--enable-incode-epsg
%make_build

%install
rm -Rf %{buildroot}
%make_install
chmod 644 %{buildroot}%{_includedir}/lib%{name}/*

# install some file
install -p -m 755 bin/makegeo %{buildroot}%{_bindir}

# install pkgconfig file
cat > %{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/lib%{name}

Name: %{name}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

mkdir -p %{buildroot}%{_libdir}/pkgconfig/
install -p -m 644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/

find %{buildroot} -name '*.la' -delete

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE
%{_bindir}/geotifcp
%{_bindir}/applygeo
%{_bindir}/listgeo
%{_bindir}/makegeo
%{_mandir}/man1/*.1*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %libdev
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/lib%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Mar 05 2024 pp <pp> 1.7.1-3pclos2024
- rebuild against new proj

* Thu Dec 08 2022 pp <pp> 1.7.1-2pclos2022
- rebuild against new proj

* Sat May 07 2022 pp <pp> 1.7.1-1pclos2022
- new version

* Sun Mar 13 2022 pp <pp> 1.7.0-2pclos2022
- rebuild against new proj

* Wed Jul 07 2021 pp <pp> 1.7.0-1pclos2021
- update

* Tue Jul 06 2021 tex - 1.6.0-5pclos2021
- fix rpm group for synaptic

* Sat Jul 03 2021 pp <pp> 1.6.0-4pclos2021
- rebuild against new proj

* Sun Mar 07 2021 pp <pp> 1.6.0-3pclos2021
- rebuild against new proj

* Wed Nov 04 2020 pp <pp> 1.6.0-2pclos2020
- rebuild against new proj

